### Method

# Aravis Interface open_device

since: 0.2.0

#### Declaration [src]

    ArvDevice*
    arv_interface_open_device (
      ArvInterface* iface,
      const char* device_id,
      GError** error
    )

#### Description [src]

Creates a new `ArvDevice` object corresponding to the given device id string. The first available device is returned if `device_id` is `NULL`.

Available since: 0.2.0

#### Parameters

`device_id`

  Type: `const char*`

  Device unique id.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ArvDevice`

A new `ArvDevice`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.